PHPExcel_Shared_Trend

# Class: trendClass

Source Location: /PHPExcel/Shared/trend/trendClass.php

### Class Overview

PHPExcel_trendClass

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- TREND_BEST_FIT
- TREND_BEST_FIT_NO_POLY
- TREND_EXPONENTIAL
- TREND_LINEAR
- TREND_LOGARITHMIC
- TREND_POLYNOMIAL_2
- TREND_POLYNOMIAL_3
- TREND_POLYNOMIAL_4
- TREND_POLYNOMIAL_5
- TREND_POLYNOMIAL_6
- TREND_POWER

### Methods

- calculate

### Class Details

[line 43]
PHPExcel_trendClass

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method calculate [line 87]

`static void calculate( [ $trendType = self::TREND_BEST_FIT], $yValues, [ $xValues = array()], [ $const = True])`

#### Tags:

access: | public

#### Parameters:

| $trendType |
| $yValues |
| $xValues |
| $const |

[ Top ]

### Class Constants

#### TREND_BEST_FIT = 'Bestfit'

[line 54]

[ Top ]

#### TREND_BEST_FIT_NO_POLY = 'Bestfit_no_Polynomials'

[line 55]

[ Top ]

#### TREND_EXPONENTIAL = 'Exponential'

[line 47]

[ Top ]

#### TREND_LINEAR = 'Linear'

[line 45]

[ Top ]

#### TREND_LOGARITHMIC = 'Logarithmic'

[line 46]

[ Top ]

#### TREND_POLYNOMIAL_2 = 'Polynomial_2'

[line 49]

[ Top ]

#### TREND_POLYNOMIAL_3 = 'Polynomial_3'

[line 50]

[ Top ]

#### TREND_POLYNOMIAL_4 = 'Polynomial_4'

[line 51]

[ Top ]

#### TREND_POLYNOMIAL_5 = 'Polynomial_5'

[line 52]

[ Top ]

#### TREND_POLYNOMIAL_6 = 'Polynomial_6'

[line 53]

[ Top ]

#### TREND_POWER = 'Power'

[line 48]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:13 +0200 by phpDocumentor 1.4.4